Remove associations
DELETE
https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/associations
Path Parameters
- project-idstringrequiredExampleDescription
- library-idstringrequiredDescription
- library-item-idstringrequiredDescription
Query Parameters
- revisionstringDescription
Body Parameters
- bodyobject[]required
- globalIdstringExampleDescription
- objectIdstringExampleDescription
Responses
200
- library-item-association[]
- globalIdstringExampleDescription
- createdAtstringExampleDescription
- useruserDescription
- idstringExampleDescription
- namestringExampleDescription
- usernamestringExampleDescription
- emailstringExampleDescription
- createdAtstringExampleDescription
- avatarUrlstringExampleDescription
- typestring<user | organization | team>ExampleDescriptionAlloweduserorganizationteam
curl
curl --request DELETE \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/associations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{}
]);
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/associations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/associations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/associations"
payload = json.dumps([
{}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"globalId": "2_TmT90tD0x9tJSTsyTb1J",
"createdAt": "2023-12-09T10:07:56Z",
"user": {
"id": "524809076a694255b989d236517a55da",
"name": "John Doe",
"username": "[email protected]",
"email": "[email protected]",
"createdAt": "2016-09-20T14:55:22.000Z",
"avatarUrl": "https://api.catenda.com/v2/avatar/397t0ccd8f74516096c738de15dc6512",
"type": "user"
}
}
]